# Class StorageException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.equinox.security.storage.StorageException

All Implemented Interfaces:
  `Serializable`

public final class StorageException extends Exception
This class describes an exception that could be produced by the secure preferences. Depending on the error code, callers might be able to mitigate the originating problems and re-try the operation (for instance, if incorrect password was provided or in case a required storage module was not available).

This class is not intended to be instantiated or extended by clients.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DECRYPTION_ERROR`
Error occurred during the decryption process.
`static final int`
`ENCRYPTION_ERROR`
Error occurred during the encryption process.
`static final int`
`INTERNAL_ERROR`
Internal error due to a problem in setup or internal implementation.
`static final int`
`NO_PASSWORD`
Secure preferences were unable to retrieve the password.
`static final int`
`NO_SECURE_MODULE`
No appropriate password provider module is available.

## Constructor Summary

Constructors
Constructor
Description
`StorageException(int errorCode, String message)`
`StorageException(int errorCode, Throwable exception)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getErrorCode()`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### INTERNAL_ERROR

public static final int INTERNAL_ERROR
Internal error due to a problem in setup or internal implementation.

See Also:
  - Constant Field Values

### NO_SECURE_MODULE

public static final int NO_SECURE_MODULE
No appropriate password provider module is available.

See Also:
  - Constant Field Values

### ENCRYPTION_ERROR

public static final int ENCRYPTION_ERROR
Error occurred during the encryption process.

Such error might have being created by using inappropriate key, for instance, using key that is too strong for the cryptographic policy in JVM.

See Also:
  - Constant Field Values

### DECRYPTION_ERROR

public static final int DECRYPTION_ERROR
Error occurred during the decryption process.

This error might be caused by an incorrect password or corrupted data.

See Also:
  - Constant Field Values

### NO_PASSWORD

public static final int NO_PASSWORD
Secure preferences were unable to retrieve the password.

See Also:
  - Constant Field Values

## Constructor Details

### StorageException

public StorageException(int errorCode, Throwable exception)

### StorageException

public StorageException(int errorCode, String message)

## Method Details

### getErrorCode

public int getErrorCode()